#include <exec/types.h>
#include <intuition/intuition.h>

#include "mm2.h"

/* Prototypes */

Prototype void Mode_Help(void);
Prototype BOOL helpmode;
Prototype char *Help_display[];
Prototype char *Help_close[];
Prototype char *Help_add[];
Prototype char *Help_del[];
Prototype char *Help_edi[];
Prototype char *Help_chk[];
Prototype char *Help_shr[];
Prototype char *Help_beg[];
Prototype char *Help_bkb[];
Prototype char *Help_bki[];
Prototype char *Help_fwi[];
Prototype char *Help_fwb[];
Prototype char *Help_eol[];

extern struct IntuitionBase *IntuitionBase;
extern struct Window *mm_w;

BOOL helpmode = FALSE;

char *Help_display[]= {
    "      Select a memo for action by clicking on it here.   ",
    "   The Edit and Delete routines process all selected memos.   ",
    "       Any number of memos may be selected at any time.",
    '\0' };

char *Help_close[]= {
    "   Click on close gadget to exit MemoMaster, ",
    "     saving list of memos back to disk if",
    "              any have changed.  ",
    '\0' };

char *Help_add[]= {
    "   Displays a requester allowing you to add a memo item   ",
    "                      to the list.",
    '\0' };

char *Help_del[]= {
    "    Removes selected memos from the list in memory.   ",
    "    The memos you want to delete must be selected",
    "    in the display window first. The program will  ",
    "    ask for confirmation that each selected memo",
    "                    be deleted.",
    '\0' };

char *Help_edi[]= {
    "   Displays a requester allowing you to   ",
    "   edit an existing memo. The memos you",
    "   want to edit must be selected in the",
    "   display window first.",
    '\0' };

char *Help_chk[]= {
    "   Checks the list of memos in memory for any to be   ",
    "                  displayed today.",
    '\0' };

char *Help_shr[]= {
    "   Close main window but keep process in memory. A small",
    "   window will open with a gadget marked EXPAND. Clicking",
    "   inside the small window (not the border) will reopen",
    "   the main window in the same state as when suspended.",
    "   While the main window is closed, the process will be",
    "   in a WAIT state therefore taking minimal processor",
    "        resource from your other applications.",
    '\0' };

char *Help_beg[]= {
    "   The first memos in the list   ",
    "     in memory are displayed.",
    '\0' };

char *Help_bkb[]= {
    "   Move the display back one block of 6   ",
    "                  memos.",
    '\0' };

char *Help_bki[]= {
    "   Move memos 1 back toward start of list.   ",
    '\0' };

char *Help_fwi[]= {
    "   Move memos 1 on toward end of list.   ",
    '\0' };

char *Help_fwb[]= {
    "   Moves memos in display window one block   ",
    "              of 6 forwards.",
    '\0' };

char *Help_eol[]= {
    "   Click here to move display to end of list.   ",
    '\0' };


void Mode_Help()
{
  helpmode = !helpmode;
}

/*=====================================================================*/
